メインコンテンツまでスキップ

Import Job の進行状況を取得 (V2)

ノート

指定した import job の進行状況を取得します。

POST/v2/vectordb/jobs/import/get_progress
接続エンドポイント

https://api.cloud.zilliz.com

shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンには、適切な権限を持つ API key を使用する必要があります。

値の例: Bearer {{TOKEN}}
Acceptstringheader

application/json を使用します。

値の例: application/json
リクエスト・ボディ
jobIdstring必要

対象の import job の ID

clusterIdstring必要

この操作が適用される cluster の ID。

jobIdstring必要

対象の import job の ID

projectIdstring必要

この操作が適用される project の ID。

regionIdstring必要

この操作が適用される region の ID。

Serving Clusterbash
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/vectordb/jobs/import/get_progress" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Accept: application/json" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"clusterId": "inxx-xxxxxxxxxxxxxxx"
}'
レスポンス

指定した import job の進行状況を返します。

codestring

レスポンスコード。

dataobject

レスポンスペイロード。

jobIdstring

import job の ID。

collectionNamestring

import job の対象 collection 名。

fileNamestring

object storage 内のデータファイルオブジェクトのパス。

fileSizeinteger

データファイルオブジェクトのサイズ。

statestring

この import job の状態。

progressinteger

現在の import job の進行率(パーセンテージ)。

completeTimestring

import job が完了した時刻を示すタイムスタンプ。

reasonstring

データの import に失敗した理由。import job が成功した場合、この値は空文字列になります。

totalRowsinteger

指定した collection 内の行数。

detailsarray

データファイル単位のデータ import 統計情報。

[]detailsobject

ソースデータファイルの処理に関する詳細情報。

fileNamestring

データファイルの名前。

fileSizeinteger

データファイルのサイズ。

statestring

データファイルの処理状態。

progressinteger

進行率(パーセンテージ)。

completeTimestring

ファイルが処理された時刻のタイムスタンプ。

reasonstring

データの import に失敗した理由。データファイルが正常に処理された場合、この値は空文字列になります。

totalRowsinteger

このファイルから挿入された行数。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"jobId": "job-xxxxxxxxxxxxxxxxxxxxx",
"collectionName": "medium_articles",
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:55Z",
"reason": "",
"totalRows": 100000,
"details": [
{
"fileName": "medium_articles_2020_dpr.json",
"fileSize": 3279917,
"state": "Completed",
"progress": 100,
"completeTime": "2024-04-01T06:17:53Z",
"reason": ""
}
]
}
}